
/* Allgemein
-------------*/

	.input-container {
		display: block;
		padding: 0 0 15px 0;
	}

	.input-container:after {
		content: "";
		clear: both;
		display: table;
	}

	/* Input-Groups
	----------------*/

		.input-group {
			display: flex;
		}

		.input-group input {
			border-radius: 0 !important;
		}

		.input-group-prepend {
			height: 26px;
		}

		.input-group-prepend > * {
			display: inline-block;
			border: 1px solid #CCCCCC;
			height: 26px;
			line-height: 26px;
			min-width: 20px;
			text-align: center;
			margin-right: -1px;
			background-color: #efefef;
		}

		.input-group-prepend > *:first-of-type {
			border-top-left-radius: 3px;
			border-bottom-left-radius: 3px;
		}

		.input-group-prepend > *,
		.input-group-append > *{
			border-radius: 3px;
		}

		.input-group-append > *:last-of-type {
			border-top-right-radius: 3px;
			border-bottom-right-radius: 3px;
		}

		.input-group-append .admin-ui-btn,
		.input-group-append .admin-ui-btn {
			position: relative;
			margin-left: 5px;
			background-color: #FFFFFF;
			padding-left: 7px;
			padding-right: 7px;
			height: 26px;
			background-image: -webkit-gradient(linear, left top, left bottom, from(#FFFFFF), to(#EBEBEB));
			background-image: -webkit-linear-gradient(top, #FFFFFF, #EBEBEB);
			background-image: -moz-linear-gradient(top, #FFFFFF, #EBEBEB);
			background-image: -ms-linear-gradient(top, #FFFFFF, #EBEBEB);
			background-image: -o-linear-gradient(top, #FFFFFF, #EBEBEB);
			background-image: linear-gradient(to bottom, #FFFFFF, #EBEBEB);filter:progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr=#FFFFFF, endColorstr=#EBEBEB);
			text-shadow: 0px 1px 0 rgba(255,255,255,1);
			cursor: pointer;
		}

		/* Icon-Buttons
		----------------*/

			.input-group-prepend,
			.input-group-append {
				height: 26px;
				white-space: nowrap;
			}

			.input-group-append .admin-ui-btn[data-icon] {
				display: inline-block;
				background-repeat: no-repeat;
				background-position: center center;
				height: 26px;
			}

			.input-group-append .admin-ui-btn[data-icon='calendar'] {
				background-image: url('../img/icons/16x16/calendar-month.png');
			}

	/* Label
	---------*/

		.input-label {
			display: block;
			width: 100%;
			padding: 4px 0 5px 0;
			color: #777777;
		}

		.ui-dialog-content .input-label {
			float: none;
			widht: 100%;
		}

	/* Eingabefeld
	---------------*/

		.input-control {
			float: left;
			width: 100%;
		}

		.ui-dialog-content .input-control {
			float: none;
			width: 100%;
		}

		#admin-content-wrapper .input-control {
			max-width: 500px;
		}

	.is-disabled {
		opacity: 0.5;
	}

	.input-control input[type='text'],
	.input-control input[type='email'],
	.input-control input[type='password'],
	.input-control textarea,
	.input-control select {
		display: inline-block;
		border: 1px solid #CCCCCC;
		border-radius: 3px;
		padding: 7px 10px;
		width: 100%;
	}

	.input-control textarea {
		height: 90px;
		resize: none;
		font-size: inherit;
		font-weight: inherit;
		font-family: inherit;
	}

	.input-control .short {
		display: block;
		padding-top: 5px;
		font-size: 13px;
		color: #999999;
	}

/* Switch-Button
-----------------*/

	div[data-inputtype='switch'] * {
		box-sizing: border-box;
	}

	div[data-inputtype='switch'] .action-switch-checkbox {
		display: none;
	}

	div[data-inputtype='switch'] .action-switch-label {
		padding-right: 0;
	}

	div[data-inputtype='switch'] .action-switch {
		position: relative;
		float: left;
		margin-right: 10px;
		background: #e3e3e3;
		border: 1px solid #aaa6a0;
		border-radius: 12px;
		content: '';
		display: block;
		height: 20px;
		transition: background .2s ease-in 0s;
		vertical-align: middle;
		width: 35px;
		z-index: 0;
		top: 3px;
	}

	div[data-inputtype='switch'] .action-switch::before {
		position: absolute;
		background: #fff;
		border: 1px solid #aaa6a0;
		border-radius: 100%;
		content: '';
		display: block;
		height: 18px;
		transition: left .2s ease-in 0s;
		width: 18px;
		z-index: 1;
		left: -1px;
		top: -1px;
		cursor: pointer;
	}

	div[data-inputtype='switch'] .action-switch-label.is-active .action-switch {
		background-color: #79a22e;
	}

	div[data-inputtype='switch'] .action-switch-label.is-active .action-switch::before {
		left: unset;
		right: -1px;
	}

	div[data-inputtype='switch'] .action-switch-label .label-active-text {
		display: none;
	}

	div[data-inputtype='switch'] .action-switch-label .label-inactive-text {
		display: inline-block;
		opacity: 0.7;
	}

	div[data-inputtype='switch'] .action-switch-label.is-active .label-active-text {
		display: inline-block;
	}

	div[data-inputtype='switch'] .action-switch-label.is-active .label-inactive-text {
		display: none;
	}

/* {input type="image"}
------------------------*/

	div[data-inputtype='image'] .left-box {
		display: block;
		float: left;
		min-width: 170px;
	}

	div[data-inputtype='image'] .right-box {
		float: left;
		width: calc(100% - 170px);
	}

	div[data-inputtype='image']:after {
		content: "";
		display: table;
		clear: both;
	}

	div[data-inputtype='image'] .preview-image {
		width: 150px;
		margin-right: 20px;
		float: left;
	}

/* Multimedia-Liste
--------------------*/

	.mediapool-container {
		border: 1px solid #ddd;
		border-radius: 5px;
		padding: 5px;
	}

	.mediapool-container:after {
		content: "";
		clear: both;
		display: block;
		height: 0.05em;
		line-height: 0;
	}

	/* Eintrag
	-----------*/

		.mediapool-item {
			position: relative;
			display: block;
			height: 150px;
			min-width: 150px;
			float: left;
			margin: 10px;
			border-radius: 3px;
			background-color: #eff1f3;
		}

		.mediapool-item:hover {
			background-color: rgba(0,0,0,0.2) !important;
		}

		.mediapool-item:hover:before {
			content: "";
			position: relative;
			background-color: rgba(0,0,0,0.6);
			position: absolute;
			top: 0;
			right: 0;
			bottom: 0;
			left: 0;
			z-index: 1;
		}

		.mediapool-item.add {
			cursor: pointer;
			opacity: 0.3;
			background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYAgMAAACdGdVrAAAADFBMVEUAAAAAAAAAAAAAAAA16TeWAAAAA3RSTlMAz9Awx92LAAAAIklEQVQI12NggAEmBzDFfIACSv8/EHyBUD8oNQzopAa46wABfBi9i62LSwAAAABJRU5ErkJggg==);
			background-size: 24px 24px;
			background-repeat: no-repeat;
			background-position: center center;
		}

	.mediapool-image-wrapper,
	.mediapool-document-wrapper {
		display: block;
		height: 148px;
		position: relative;
		text-align: center;
		overflow: hidden;
	}

	.mediapool-image {
		max-width: 100%;
		max-height: 100%;
		position: relative;
		top: 50%;
		transform: translateY(-50%);
		border-radius: 3px;
	}

	.mediapool-item:hover .mediapool-image {
		-webkit-filter: grayscale(100%); /* Safari 6.0 - 9.0 */
		filter: grayscale(100%);
	}

	.mediapool-document-label {
		position: absolute;
		z-index: 1;
		right: 0;
		bottom: 0;
		left: 0;
		height: 30px;
		line-height: 30px;
		font-size: 12px;
		background-color: rgba(0, 0, 0, 0.5);
		text-align: center;
		width: 100%;
		overflow: hidden;
		color: #FFFFFF;
		border-bottom-right-radius: 5px;
		border-bottom-left-radius: 5px;
	}

	/* Label
	-----------*/

		.mediapool-label {
			position: absolute;
			right: 0;
			left: 0;
			text-align: center;
			padding: 3px 5px 3px 5px;
			z-index: 2;
			color: #FFFFFF;
			top: 50%;
			transform: translateY(-50%);
			font-size: 12px;
		}

		.mediapool-item:hover .mediapool-label-wrapper {
			display: block;
		}

	/* Toolbar
	-----------*/

		.mediapool-toolbar {
			position: absolute;
			top: 0;
			right: 0;
			padding: 7px;
			display: none;
			z-index: 3;
		}

		.mediapool-item:hover .mediapool-toolbar {
			display: block;
		}

		.mediapool-toolbar .fa {
			font-size: 16px;
			padding-left: 5px;
			cursor: pointer;
			color: #FFFFFF;
		}

/* Info-icon
-------------*/

	.input-info-icon {
		display: inline-block;
		height: 12px;
		width: 12px;
		background-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAxNiAxNiIgd2lkdGg9IjE2IiBoZWlnaHQ9IjE2Ij48dGl0bGU+YyBpbmZvPC90aXRsZT48ZyBjbGFzcz0ibmMtaWNvbi13cmFwcGVyIiBmaWxsPSIjNDI0MjQyIj48cGF0aCBmaWxsPSIjNDI0MjQyIiBkPSJNOCwwQzMuNiwwLDAsMy42LDAsOHMzLjYsOCw4LDhzOC0zLjYsOC04UzEyLjQsMCw4LDB6IE05LDEySDdWN2gyVjEyeiBNOCw2QzcuNCw2LDcsNS42LDcsNXMwLjQtMSwxLTEgczEsMC40LDEsMVM4LjYsNiw4LDZ6Ii8+PC9nPjwvc3ZnPg==);
		background-size: 12px 12px;
		background-position: center center;
		content: "xxxxx";
		color: #FFFFFF;
		font-size: 10px;
		text-align: center;
		top: 2px;
		position: relative;
	}

/* Select-Multiple
-------------------*/

	.select-multiple {
		border: 1px solid #CCCCCC;
		border-radius: 3px;
		padding: 0;
		width: 100%;
		font-size: 16px;
		color: #434343;
	}

	.select-multiple-search {
		position: relative;
	}

	.select-multiple-search:before {
		content: '\f002';
		font-family: FontAwesome;
		position: absolute;
		display: block;
		height: 30px;
		width: 30px;
		top: 11px;
		left: 15px;
		color: #CCCCCC;
	}

	.select-multiple-search input {
		border: none;
		border-bottom: 1px solid #dadae5;
		border-bottom-left-radius: 0;
		border-bottom-right-radius: 0;
		font-size: inherit;
		padding: 10px 10px 10px 35px;
		background-color: #f2f2f2;
	}

	.select-multiple-list {
		overflow-y: scroll;
		margin-bottom: 5px;
	}

	.select-multiple-entry {
		display: block;
		padding: 7px 10px;
		margin: 0;
		border-bottom: 1px solid #dadae5;
	}

	.select-multiple-entry:hover {
		background-color: rgba(0,0,0,0.05);
	}

	.select-multiple-entry:last-of-type {
		border-bottom: none;
	}

	.field .select-multiple-entry label {
		padding: 0 0 0 30px;
		margin: 0;
	}